%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate pyo3-macros

Name:           rust-pyo3-macros
Version:        0.22.2
Release:    1%{?dist}
Summary:        Proc macros for PyO3 package

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/pyo3-macros
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Proc macros for PyO3 package.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+experimental-async-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+experimental-async-devel %{_description}

This package contains library source intended for building other packages which
use the "experimental-async" feature of the "%{crate}" crate.

%files       -n %{name}+experimental-async-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gil-refs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gil-refs-devel %{_description}

This package contains library source intended for building other packages which
use the "gil-refs" feature of the "%{crate}" crate.

%files       -n %{name}+gil-refs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+multiple-pymethods-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+multiple-pymethods-devel %{_description}

This package contains library source intended for building other packages which
use the "multiple-pymethods" feature of the "%{crate}" crate.

%files       -n %{name}+multiple-pymethods-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22.2-1
- initial build
